Upstream information

CVE-2014-7810 at MITRE

Description

The Expression Language (EL) implementation in Apache Tomcat 6.x before 6.0.44, 7.x before 7.0.58, and 8.x before 8.0.16 does not properly consider the possibility of an accessible interface implemented by an inaccessible class, which allows attackers to bypass a SecurityManager protection mechanism via a web application that leverages use of incorrect privileges during EL evaluation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 931442 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP3
  • tomcat6 >= 6.0.41-0.45.1
  • tomcat6-admin-webapps >= 6.0.41-0.45.1
  • tomcat6-docs-webapp >= 6.0.41-0.45.1
  • tomcat6-javadoc >= 6.0.41-0.45.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.45.1
  • tomcat6-lib >= 6.0.41-0.45.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.45.1
  • tomcat6-webapps >= 6.0.41-0.45.1
Patchnames:
slessp3-tomcat6
SUSE Linux Enterprise Server 11 SP4
  • tomcat6 >= 6.0.41-0.47.1
  • tomcat6-admin-webapps >= 6.0.41-0.47.1
  • tomcat6-docs-webapp >= 6.0.41-0.47.1
  • tomcat6-javadoc >= 6.0.41-0.47.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.47.1
  • tomcat6-lib >= 6.0.41-0.47.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.47.1
  • tomcat6-webapps >= 6.0.41-0.47.1
Patchnames:
slessp4-tomcat6-12092
SUSE Linux Enterprise Server 12
  • tomcat >= 7.0.55-8.2
  • tomcat-admin-webapps >= 7.0.55-8.2
  • tomcat-docs-webapp >= 7.0.55-8.2
  • tomcat-el-2_2-api >= 7.0.55-8.2
  • tomcat-javadoc >= 7.0.55-8.2
  • tomcat-jsp-2_2-api >= 7.0.55-8.2
  • tomcat-lib >= 7.0.55-8.2
  • tomcat-servlet-3_0-api >= 7.0.55-8.2
  • tomcat-webapps >= 7.0.55-8.2
Patchnames:
SUSE-SLE-SERVER-12-2015-336
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • tomcat6 >= 6.0.41-0.45.1
  • tomcat6-admin-webapps >= 6.0.41-0.45.1
  • tomcat6-docs-webapp >= 6.0.41-0.45.1
  • tomcat6-javadoc >= 6.0.41-0.45.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.45.1
  • tomcat6-lib >= 6.0.41-0.45.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.45.1
  • tomcat6-webapps >= 6.0.41-0.45.1
Patchnames:
slessp3-tomcat6
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • tomcat6 >= 6.0.41-0.47.1
  • tomcat6-admin-webapps >= 6.0.41-0.47.1
  • tomcat6-docs-webapp >= 6.0.41-0.47.1
  • tomcat6-javadoc >= 6.0.41-0.47.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.47.1
  • tomcat6-lib >= 6.0.41-0.47.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.47.1
  • tomcat6-webapps >= 6.0.41-0.47.1
Patchnames:
slessp4-tomcat6-12092
SUSE Linux Enterprise Server for SAP Applications 12
  • tomcat >= 7.0.55-8.2
  • tomcat-admin-webapps >= 7.0.55-8.2
  • tomcat-docs-webapp >= 7.0.55-8.2
  • tomcat-el-2_2-api >= 7.0.55-8.2
  • tomcat-javadoc >= 7.0.55-8.2
  • tomcat-jsp-2_2-api >= 7.0.55-8.2
  • tomcat-lib >= 7.0.55-8.2
  • tomcat-servlet-3_0-api >= 7.0.55-8.2
  • tomcat-webapps >= 7.0.55-8.2
Patchnames:
SUSE-SLE-SERVER-12-2015-336
SUSE Linux Enterprise Server for VMWare 11 SP3
  • tomcat6 >= 6.0.41-0.45.1
  • tomcat6-admin-webapps >= 6.0.41-0.45.1
  • tomcat6-docs-webapp >= 6.0.41-0.45.1
  • tomcat6-javadoc >= 6.0.41-0.45.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.45.1
  • tomcat6-lib >= 6.0.41-0.45.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.45.1
  • tomcat6-webapps >= 6.0.41-0.45.1
Patchnames:
slessp3-tomcat6
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • tomcat6 >= 6.0.41-0.45.1
  • tomcat6-admin-webapps >= 6.0.41-0.45.1
  • tomcat6-docs-webapp >= 6.0.41-0.45.1
  • tomcat6-javadoc >= 6.0.41-0.45.1
  • tomcat6-jsp-2_1-api >= 6.0.41-0.45.1
  • tomcat6-lib >= 6.0.41-0.45.1
  • tomcat6-servlet-2_5-api >= 6.0.41-0.45.1
  • tomcat6-webapps >= 6.0.41-0.45.1
Builds
SAT Patch Nr: 10813


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 11 SP1 tomcat6 Released
SUSE Linux Enterprise Server 11 SP1 LTSS tomcat6 Released
SUSE Linux Enterprise Server 11 SP2 tomcat6 Released
SUSE Linux Enterprise Server 11 SP2 LTSS tomcat6 Released
SUSE Linux Enterprise Server 11 SP3 tomcat6 Released
SUSE Linux Enterprise Server 11 SP4 tomcat6 Released
SUSE Linux Enterprise Server 12 GA tomcat Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 tomcat6 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 tomcat6 Released
SUSE Linux Enterprise Server for VMWare 11 SP2 tomcat6 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 tomcat6 Released
SUSE Manager Server 1.2 tomcat6 Released